GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)

Bug #532984 reported by Adrien Lamothe on 2010-03-05
502
This bug affects 197 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Text screen displays the following warning, and is misleading, since it has nothing to do with boot or Xorg problems:

    (process 239): GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)

Please open a new bug for any boot hangs, etc. This message is not related to those problems, and need to be tracked separately.

(The warning appears for people with Plymouth in their initramfs, for things like encrypted drives, etc. It is triggered by Pango initialization that tries to read /etc/passwd, which is missing in the initramfs.)

James P. Carter (jpcarter) wrote :

Is this after an upgrade from a previous release?

Does this happen when attempting to install?

Does this happen after installing from a particular CD? (LIVE / Alternate / Mini)

No, this happens with a fresh install attempt from a Live CD. Also, I tried it on a different computer of the same model and specs and it also hung the same way. As well, I tried installing Debian 5.04 and it installed without any problems and that is what I'm now running on that computer.

This bug likely isn't worth the time, the computer in question is old and likely not in widespread use, but maybe the fix is simple and maybe that info could prove useful in some other way.

Best,

Adrien

--- On Sun, 3/7/10, James P. Carter <email address hidden> wrote:

From: James P. Carter <email address hidden>
Subject: [Bug 532984] Re: Ubuntu 10.04 Alpha 3 won't boot, with (process 239): GLib-WARNING **: getpwid_r(): failed due to unknown user id (0), on HP Compaq Pentium 4
To: <email address hidden>
Date: Sunday, March 7, 2010, 2:07 PM

Is this after an upgrade from a previous release?

Does this happen when attempting to install?

Does this happen after installing from a particular CD? (LIVE /
Alternate / Mini)

--
Ubuntu 10.04 Alpha 3 won't boot, with (process 239): GLib-WARNING **: getpwid_r(): failed due to unknown user id (0), on HP Compaq Pentium 4
https://bugs.launchpad.net/bugs/532984
You received this bug notification because you are a direct subscriber
of the bug.

I can confirm this with yesterday's server install CD, i386. Was booting up fine, and then this problem started. I can boot from the install CD and chroot in to help debug.

Anders (andersja+launchpad-net) wrote :

I can confirm this same error on a recently upgraded (Karmic --> Lucid Beta 1) HP Compaq nx6110 laptop. Worked fine after upgrading. Booted fine once. Shutdown was clean, yet upon booting again I get the new Ubuntu red dots screen for a bit, then this error:

(process:275): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)

if it makes any difference at all, the laptop is connected to an LCD TV and is set to auto-login to a default user id.

Anders (andersja+launchpad-net) wrote :

Another reboot - it works again. Odd...

jonnieo (jonnie-o) wrote :

Got the same error using the Beta-1 Desktop install (x86), so unable to install lucid.

jonnieo (jonnie-o) wrote :

Note that I don't get this using the alternate installer

Stephen Ostrow (isleshocky77) wrote :

I got it up and running once using the alternate install CD. Upon trying to restart I got this error and now cannot get it to boot.
I'm running Ubuntu 10.04 Beta 1 AMD64

My equipment is
Intel Quadcore i7 930
Galaxy GeForce 9500GT
6GB DDR3 1066

Stephen Ostrow (isleshocky77) wrote :

It appears this only happens when I have my two monitors plugged in. If I unplug one and run the system with one monitor the system boots and behaves fine. I have now tested this 10 times all 5 times it started with one monitor and didn't with two. I'm thinking this might be a driver issue since I haven't plugged the system into the internet yet.

The interesting this is that if I start the system with one monitor and plug the other one in while it's on, the machine operates fine and had use of both monitors properly.

JustMe007 (justme007) wrote :

I am also having this kind of troubles, the Ubuntu 10.04 Live CD just doesn't work.
It hangs at the Ubuntu red dots, and from there on nothing happens and I have to shutdown my PC manually.
I tried the daily build (lucid-desktop-i386.iso 06-Apr-2010 03:07 696M) and also ubuntu-10.04-beta1-desktop-i386.iso.
When I shutdown my PC manually I can see this message: "(process:345): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)". I also attached a screenshot.

Mike Grunewald (mikeg32) wrote :

I can also confirm this on the day Beta 2 was released this is a show stopper how did beta 2 get pushed live ?

GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)

Core 2 quad 2.66
Nvidia 9600GT

Cristian (cristianrosa) wrote :

I think there are several issues mixed in this bug report.
I can confirm that I have the same behavior than comment #9 with beta 2 on a Dell Precision M90 (x86_64).
When I plug a monitor (dvi) to the laptop and try to boot the live cd it hangs at splash (red dots), if I boot with the monitor unplugged it works. However, even if it works, when rebooting the system I can see the getpwuid_r() error message.
So I think that the message might be unrelated to the freeze.
Should be the title of the bug be changed to something more general?

Cristian (cristianrosa) wrote :

I found that the problem I am experiencing is already reported as bug #533135
"nouveau + more than one screen freezes at plymouth"
So again, the getpwuid_r() error message might be misleading.

gsch (gcscheepers) wrote :

I get the same problem on my laptop, no extra monitors. On the first try to boot from the live cd (Beta 2, downloaded an hour ago), I reached the first "choose your language" window, clicked on "try ubuntu", and then the screen froze with a bunch of black and white lines. Had to manually power down, and then got this message (among other things):

 GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)

On my next tries, I only got a blank white box where the language window should be. Had to manually power down again, and got the same message. My computer: Acer Travelmate 2450 laptop with an ATI Mobility Xpress 200M graphics card.

I hope this can be solved, by the way my ubuntu experience is going, I might just be on Jaunty for the rest of my life.

gsch (gcscheepers) on 2010-04-09
Changed in ubuntu:
status: New → Confirmed
gsch (gcscheepers) wrote :

Not being able to boot up is very serious. This has to be fixed before 29 April.

Changed in ubuntu:
assignee: nobody → crc (crc)
assignee: crc (crc) → nobody
assignee: nobody → Boot (willpatch)
Mike Grunewald (mikeg32) wrote :

so whats the status of this ? are we still not booting

I think you may have sent this to the wrong person, I'm not on the
development team. Boot is just my nickname and in no way relating to the
booting of the OS.

On Mon, Apr 12, 2010 at 1:37 AM, Mike Grunewald <email address hidden> wrote:

> so whats the status of this ? are we still not booting
>
> --
> Ubuntu 10.04 Alpha 3 won't boot, with (process 239): GLib-WARNING **:
> getpwid_r(): failed due to unknown user id (0), on HP Compaq Pentium 4
> https://bugs.launchpad.net/bugs/532984
> You received this bug notification because you are a bug assignee.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> Tried to boot Ubuntu 10.04 Alpha 3 on an HP Compaq d530 SFF Pentium 4
> desktop computer. The bootup hangs on the following message:
>
> (process 239): GLIb-WARNING **: getpwid_r(): failed due to unknown user
> id (0)
>
>
>

gsch (gcscheepers) on 2010-04-12
Changed in ubuntu:
assignee: Boot (willpatch) → nobody

The problem still exists. Look at the number of page views of the following forum threads!!

http://ubuntuforums.org/showthread.php?t=1450625&highlight=GLib-WARNING

Here is someone offering a solution. But will it be safe to install???

http://ubuntuforums.org/showthread.php?t=1450179&highlight=GLib-WARNING
UPDATE : this problem can be fixed by following the instructions below

Originally Posted by kansasnoob
from the boot menu press F6 which will display some boot options, then just press the Esc key. You'll now see that the "boot parameters" are displayed at the bottom of the screen. Just use the Backspace key to remove only "quiet splash".

Then just hit Enter & try to boot

Also I had to Remove my 2nd Monitor to get this to work . Having Dual monitors will cause or be part of the problem getting beta 2 installed

gsch (gcscheepers) wrote :

I can report that the above proposed fix does work. However, when I do get to the desktop it freezes up, so that I only can move around the pointer but nothing responds. Will I have to give up on the Lynx as well, just like Karmic?

Hopefully someone will take the glib-warning problem to heart and sort it out within two weeks. There are more than 2000 views on one of the related forum threads! A few hundred more on some other threads. There will be quite a few aspirant ubuntu users chucking the LiveCD in the trash can and going back to MS in about two weeks time if this is not solved.

Joshua R. Poulson (jrp) wrote :

I can successfully boot on a Lenovo W510 by removing "quiet splash" from the command line, but this is hardly an old machine (Desktop Beta 2 ISO, both CD-ROM and USB key).

SaverioB (saverio-bolognani) wrote :

I see the warning message when booting from Live CD Lucid PC (Intel x86) desktop (BETA 2).
However, boot is completed and the laptop is perfectly fine. No problems, but the warning message.
Computer is a DELL E1505, Nvidia card.

SaverioB (saverio-bolognani) wrote :

And by the way (sorry for the double message) I think there are multiple issues in here. Some people have their computer frozen for different reasons, but the last message that is left on their screen is this warning.

John King (kingj-linuxmlsts) wrote :

I've experienced a similar hang up to Beta 1 whenever I tried to boot the LiveCD (haven't tested Beta 2 yet). However, I only got the Glib message in Alpha 3. Removing quiet splash makes it work, so I believe this is a Plymouth issue.

I'd also suggest that this bug be marked critical, as one reply stated, this is a showstopper. It doesn't matter how awesome Lucid is, if a user can't even boot the LiveCD on a relatively new computer. Also, greater attention should be given to so-called duplicates, there is likely more than one issue at play here.

affects: ubuntu → plymouth (Ubuntu)
John King (kingj-linuxmlsts) wrote :

The Beta 2 LiveCD boots fine for me, but now I am having a much different issue with Plymouth, I have filed a report here: https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/565936

John King (kingj-linuxmlsts) wrote :

To those who have had issues with Beta 2, could you try the more recent daily builds here and see if the problem still occurs?

http://cdimage.ubuntu.com/daily-live/current/

JustMe007 (justme007) wrote :

I tested the latest daily build (lucid-desktop-i386.iso 18-Apr-2010 08:32 695M Desktop CD for PC (Intel x86) computers (standard download)

The Live CD actually gets past Plymouth and I can see the purple wallpaper and my mouse cursor, but than I get the following error: "The installer encountered an unrecoverable error, A desktop session will now be run so that you may investigate the problem or try installing again." When I click "OK" it says "Please remove the disc and close the tray (if any) then press ENTER." A reboot follows.

Steve Langasek (vorlon) wrote :

The getpwuid_r() message is a generic warning that is displayed for all users, but is usually hidden by the splash screen. It is not the *cause* of any hangs or failures to display the splash screen, so keying on this for a bug report is not useful.

A large number of users have followed up to this bug report, but none have provided the kind of information we need in order to debug your individual issues. And the original bug report was against Alpha 3, which is a far cry from the state of affairs in Beta 2. So I'm closing this bug report as invalid.

Anyone who is still seeing a hang at boot time in 10.04 LTS Beta 2, please file a separate bug report against the linux package. If you can boot a previous version of Ubuntu on this system, please use the command 'ubuntu-bug linux' to file the report, so we have full information about your hardware.

If you are seeing hangs in beta2 when booting on a system with nvidia video, and you have more than one display connected, please verify whether disconnecting the second display fixes the issue before filing a new bug report. If it does, this is bug #533135 and you don't need to file a separate bug.

Changed in plymouth (Ubuntu):
status: Confirmed → Invalid

There is still the issue of the actual error message, which certainly
shouldn't appear on the user's screen. Is this bug tracked anywhere?

On 04/18/2010 06:09 PM, Steve Langasek wrote:
> The getpwuid_r() message is a generic warning that is displayed for all
> users, but is usually hidden by the splash screen. It is not the
> *cause* of any hangs or failures to display the splash screen, so keying
> on this for a bug report is not useful.

No, it's not tracked anywhere because the warning message itself is not the real bug, and the mere act of opening a bug report to track that low-priority bug would make it a magnet for hundreds of unrelated follow-ups. We need to be addressing the underlying causes of the message being passed through to the console, instead.

I'll try to figure out an appropriate way to suppress that message when plymouth is running from the initramfs, but won't open a new bug report for it, for the above reasons.

qaqadoo (qaqadoo) wrote :

Release Candidate from 23.04:
problem still exist. I can´t boot and install system. I want to see boot options (F6, any key) but this is not possible...
I hope that this bug(?) will be fixed in stable Ubuntu 10.04. Something wrong is here.

marenzi (severina1983) wrote :

I get a same warning when I try to boot Ubuntu 10.04 RC. Show me the message:

(process:371): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)

AMD64X2
Nvidia GeForce 6100

John King (kingj-linuxmlsts) wrote :

To those who are still having issues, refer to Steve's above post -- the GLib warning is a red herring, and you should file seperate bug reports so the devs can fix the issues properly.

wchristian (wchristian) wrote :

same error here, when loading self-compiled mantis.ko
10.04 up2date

Copernicus (twowayspirit) wrote :

Not sure how to file a proper bug report when the system doesnt even start to install from the 10.04 CD. It just stays at the Ubuntu logo for a few minutes, doing nothing, and then continues and shows a message box where I can restart or sit there forever.

Its not related to having two monitors since Im only having one and still get this problem.

Thomas Fritz (fritzthomas.com) wrote :

This still happens on fresh stable 10.04 Release of Kubuntu on an Lenovo Thinkpad X200. I have to manually shutdown and reboot, when this happens. After this Kubuntu reboots without any problem.

I have an external Monitor on the VGA output - just because the latest commentor wrote about a second monitor...

Regards

DrFaNaTiC (drfanatic) wrote :

Same here on a Dell Inspiron 6400.

Ubuntu 10.04
Linux dell 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

Mister-EL (mister-el) wrote :

Same Problem here, after some reboot I get
"getpwuid_r(): failed du to unknown user id (0)"

Kubuntu 10.04 amd 64 an Lenovo T400 with intel graka

Ubuntu, installed Kubuntu-desktop later. Using KDE as default, KDM default, plymouth Kubuntu logo. I have framebuffer=y in /etc/initramfs-tools/conf.d/splash to delay boot a few seconds to make my splash actually show up. Occasionally this error pops up on me, I restart again and it's fine however. It pops up right after plymouth is finished loading, and I do not see the KDM login screen.

Using..
Ubuntu(KDE) 10.04 amd64
Linux <hostname> 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:28:05 UTC 2010 x86_64 GNU/Linux

Annoying issue... Workaround or fix coming soon..?

simon1991 (simon.1991) wrote :

I have the same problem.
I even can't install Ubuntu, each time when I try it, I get a GLIb-WARNING....
I think that this is a bug that really needs to be fixt...

Greetz,

Simon

I get this error when booting the release version of 10.04 from a downloaded 32-bit CD image burned to disk.

Cant use 10.04 until its fixed so if I can help in any way, let me know.

simon1991 (simon.1991) on 2010-05-11
Changed in plymouth (Ubuntu):
status: Invalid → In Progress
status: In Progress → Invalid
status: Invalid → New
Steve Langasek (vorlon) on 2010-05-11
Changed in plymouth (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) on 2010-05-19
summary: - Ubuntu 10.04 Alpha 3 won't boot, with (process 239): GLib-WARNING **:
- getpwid_r(): failed due to unknown user id (0), on HP Compaq Pentium 4
+ Ubuntu 10.04 Alpha 3 won't boot on HP Compaq Pentium 4; displays an
+ irrelevant Glib warning on the console
27 comments hidden view all 107 comments

It's CD/DVD drive specific.
I get the error when I use my Emperex DVDRW 8x but not when I use my Emperex DD DVDRW 16x.
Everything else is identical as i have to physically swap the EIDE cable over from one drive to the other.

Lucid LiveCD hangs with the 8x but boot with the 16x

<duplicate bugs should have their comments pages merged in 2010 FFS>

Dave Gilbert (ubuntu-treblig) wrote :

This symptom also seen on Asus eeepc 1001ha; maybe 1in 5 boots?
(Intel graphics, 1GB RAM - Lucid, previously upgraded from Karmic)

runbei (gbeinhorn) wrote :

Problem still exists on an HP 7100 as of 8/31/10. I'm using Mint 9 (Ubuntu 10.04). I unplugged all drives except the boot drive to see if it was a problem with the IDE or SATA chains. Nope, still see the GLib warning message.

If I press Enter at that message, I see a bunch of fail messages and then the system truly hangs.

It is strange, as the system was working normally until this morning - I could boot normally without any hangs. Also, I've been using Mint 9/10.04 on my ThinkPad T43 laptop for ages with no boot problems whatever.

Off topic, but the earlier comment by a developer that this affects only older PCs and is therefore irrelevant, is appalling. A major selling point of Linux is that it does work on older hardware - it "revives" old PCs. I hope that comment doesn't reflect the Ubuntu devs' pride in craft generally.

arjordan (jorsuscrip) wrote :

I have the same error happening in Kubuntu 10.04 (amd64) after upgrade from 9.10 and also after performing a fresh installation. Both of the installations were from the alternate CD:
(process 373): GLIb-WARNING **: getpwuid_r(): failed due to unknown user id (0)

The only solution is to hit CTRL+ALT+DEL to reboot. Sometimes it takes two or three attempts to finally continue starting up.

Notebook Dell 640m
Processor Intel T7200 64bits
Video Intel 945GM

100% reproducible (after soft and hard boot) with 10.04 x86 Netbook boot SD card on Asus Eee PC 900, and with 10.04 64bit USB boot disk on HP desktop machine. How can this still be Invalid and Undecided with so many reports?

Are you running nscd? I got around user account issues by installing nscd but we have a customized environment that uses LDAP. Older releases did not require nscd.

Steve Langasek (vorlon) wrote :

nscd has nothing to do with this. The message is spurious and caused by plymouth loading glib, which tries to look up the name of the root user, before the root filesystem is mounted.

The bug is marked invalid because the warning has *nothing to do with* any problems you're experiencing; it's an annoying message, but it's output even on systems where plymouth is working perfectly - you just don't *see* it when plymouth is working correctly.

Tory (tory-andrew-law) wrote :

I'm getting this error two.

I have basically a fresh install of 10.10 beta
Dell Latitude e6410

and just prior to this I was trying to get my xorg to work

Tory (tory-andrew-law) wrote :

I just removed the xorg file, and I got passed the error

arjordan (jorsuscrip) wrote :

It is annoying! It happens almost every startup of the notebook. I had to reboot up to five times. Is there a solution to avoid plymouth to do what Steve says in #74?

Mark (mark-wege) wrote :

I have tried to boot current pre-RC-Kubuntu Maverik Desktop Installer CD on my system (Thinkpad X201). Unfortunately booting was impossible due to this bug. I tried it several times. Desktop installer was used from USB-Stick.

tags: added: iso-testing
JarekJ83 (jarekj83) wrote :

same problem in Maverick 10.10 when i get ctrl+alt F1 etc..

(proces 290) GLIB - warning getpwuid_r() : failed due to unknown uster id (o)

JarekJ83 (jarekj83) wrote :

after todays actualizations its workin for me now

José Lou Chang (obake) wrote :

I never had this error with Ubuntu Lucid.

But, now that I fresh installed Kubuntu 10.10 (from RC release) I get the error when turning on the laptop:

(process 347): Glib-warning **: getpwuid_r(): failed due to unknown user id (0)

After that message appeared, the whole system became inactive or frozen, so I had to force-shutdown physically.
When I turned it on again, the same message did not appear and let me log-in normally.

José Lou Chang (obake) wrote :

Just in case I have a HP Pavilion dv6000 and my lspci | grep VGA output is:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

yoblin (yoblin) wrote :

Same issue. Doesn't prevent me from booting, it will recover from the error, but when I plug in my external monitor I sometimes get this error and it can't recover. need to reboot.

komputes (komputes) wrote :

I get this error in between boot stages in 10.10. I can always go back to tty7 (ctrl-alt-f7) to see the error. The error doesn't prevent me from booting, therefore it only seems to be aesthetic to me.

iheartubuntu (iheartubuntu) wrote :

Im having the same problem on an older P4 Sony Viao PCV-RS310. Burned DVD discs of 10.04 and10.10 give me this error. I tried burning a CD of 10.10 and I got into the install phase, partitioned the drive, and then during install it failed. Tomorrow I will attempt to install 10.04 from official Ubuntu disc and see if I have any luck.

iheartubuntu (iheartubuntu) wrote :

Is there any sort of fix for this or work around?

linex83 (linex83) wrote :

Same on Ubuntu 10.10 and different hardware. Keeps me from installing Ubuntu 10.10.

Christoph (christoph-thomas) wrote :

Hi,
I had this odd warning
"getpwid_r(): failed due to unknown user id (0)"
some time ago (I think it was karmic) and got yesterday the same problem with lucid. Since there are already some Bugs filed (565936 and 531027) I decided to add a comment to this open bug what was the solution for me. Maybe it helps somebody.

The problem was related to the directory "/tmp" in all cases this directory was not writable. So you might check if "ls -ld /tmp" gives you the mod 777 (rwxrwxrwx). If this one is OK, you might try to copy a file into "/tmp".
If your problem occurs only once in a while it might be because you have an own partition for "/tmp" (in this case you should check the mod of the mountpoint and of the mounted partition). I found that sometimes e2fsck was running for the device which was assigned to "/tmp" when the display manager (gdm in my case) was started. You might solve this with the "bootwait" option in fstab of if you disable the filesystemcheck for "/tmp" (this gave me a real hedache, since the filesystem was defect in my case and endet unfortionatly with the same errormessage).

Cheers, Chris

phil gray (philkgray) wrote :

This error also occurs on my HP mini 110 running ubuntu 10.10.
I get:
GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id
when returning from suspend mode, but it goes away after a few seconds.
I also sometimes get the error message when booting, and it wil not go away, and ubuntu does not boot.

Orzech (porzechowski) wrote :

It happened on Ubuntu 10.10 just at runtime during web surfing too. System was useless after showing blank screen with GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0), had to force laptop turn off.

Kees Cook (kees) on 2010-10-29
summary: - Ubuntu 10.04 Alpha 3 won't boot on HP Compaq Pentium 4; displays an
- irrelevant Glib warning on the console
+ GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)
description: updated
Changed in plymouth (Ubuntu Maverick):
status: New → Invalid
Changed in plymouth (Ubuntu Lucid):
status: New → Invalid
description: updated
José Lou Chang (obake) wrote :

Why is this bug report marked as invalid?

Every time I get this error, the OS freezes completely that I have to force a restart.

Dave Gilbert (ubuntu-treblig) wrote :

I believe the reason is no one knows where the problem actually exists - this is a symptom but I think the plymouth guys are saying it's not them, and no one has figured out what it is.

Dave

Franck (amail4-franckinsc) wrote :

I also get the same error GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id
when trying to install kubuntu from a CD. I've tried 4 times without any success.

Config: mini-pc, mother board INTEL DH57JG

Note: I've just bought this computer without OS thinking that linux ditributions are mature enough for the desktop. I guess I was wrong as this bug has been aroundfor several months. Will have to buy another OS better tested ....

Kees Cook (kees) on 2010-11-03
description: updated
Simone Cosimo (simosx4) wrote :

i also get some error wheen i trying to install Xubuntu 10.10 from a USB

Marcus E (marcus+e) wrote :

This happened frequently on my 10.04 install but far from on every start. Now with encrypted home on a fresh install of 10.10 on another laptop the error comes up on every start, which means the OS is practically unusable.

Simon Charette (charettes) wrote :

I have the same issue with encrypted home on a separate partition with fresh install of Ubuntu 10.10. Some times it wont load login screen. Some times it will just crash.

MillenniumBug (millenniumbug) wrote :

Does this solve the problem?

https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/649917

In other words, can the report be marked 'solved'?

Hello Martin Olsen. I have not seen that error message in a while so it
seems to have been resolved.

Thank you all for your contributions.

Cheers!

On Sat, Nov 20, 2010 at 9:44 AM, Martin Olesen <email address hidden>wrote:

> Does this solve the problem?
>
> https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/649917
>
> In other words, can the report be marked 'solved'?
>
> --
> GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)
> https://bugs.launchpad.net/bugs/532984
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
<a href="http://www.spreadfirefox.com/?q=affiliates&amp;id=0&amp;t=1">Get
Firefox!</a>

<a href="http://why.openoffice.org/yourchoice.html">
<img src="http://why.openoffice.org/images/ooo_yourchoice_120x60.png"
border="0"
alt="Your Choice. Get OpenOffice.org"></a>

Unlogic (unlogic-unlogic) wrote :

I'm getting the same issue when i try to install ubuntu-10.04.1-desktop-amd64.iso on a Zotac Atom D510 WIFI MINI-ITX motherboard.

Created a bootable USB stick using UNetbootin (http://unetbootin.sourceforge.net/)

MillenniumBug (millenniumbug) wrote :

Post #176 in this thread
http://ubuntuforums.org/showthread.php?t=1443231
might help you.

If you have more support questions, Ubuntuforums is the best place.

Xtien (xtien) wrote :

I'm having this problem consistently when booting from a usb stick, created with startup disk creator. I use Maverick Meerkat.

MillenniumBug (millenniumbug) wrote :

The 10.10 ISO will not be updated, so the bug is still present here. When you install Ubuntu and apply all updates, you will receive the bug fix.

Again, please use the thread in Ubuntuforums, if more problems appear.

On 01/24/2011 08:20 AM, Martin Olesen wrote:
> GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)
I've given up on Ubuntu. How can I install any updates when the
installation fails??????

PCLINUX OS is much more stable, installs without a hitch, and recognizes
my broadcom wireless card in my laptop. Ubuntu really blew it with
release 10.10.

Gary

MillenniumBug (millenniumbug) wrote :

>>> How can I install any updates when the installation fails?

You could for example follow the link in post #100 above.

MillenniumBug (millenniumbug) wrote :

'Fix released' is more precise than 'invalid', since the error message does not appear any more.

Changed in plymouth (Ubuntu Lucid):
status: Invalid → Fix Released
Changed in plymouth (Ubuntu Maverick):
status: Invalid → Fix Released
Changed in plymouth (Ubuntu Natty):
status: Invalid → Fix Released
1 comments hidden view all 107 comments
hamdta (hamdta) wrote :

Hi
This happen with me, when i (downgrade :-(( ) from a motherboard Asus P5Vd2Mx-se core2 duo E6470 Intell cpu, (because he have a fault) to a Gigabyte GA-8I945GZME-RH.
With W7 reinstalled,after the first boot of 10.04 still installed before ( do not need installed again), the Ubuntu crash and stuck with busybox only...

I try change the Live Cd to a Pen with 10.04 but only boot on another machine (atlhon), on this, the massage " (process 239): GLIb-WARNING **: getpwid_r(): failed due to unknown user id (0)" appear again...

Only boot with 11.10 result well!...

Regards

Displaying first 40 and last 40 comments. View all 107 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers